Summary:	Base Library for the Java-GNOME libraries 
Name:		glib-java
Version:	0.4.2
Release:	3%{?dist}
URL:		http://java-gnome.sourceforge.net
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gjavah.patch
Patch1:		glib-java-0.4.2-import-fix.patch
License:	LGPLv2
Group:		Development/Libraries

Requires:	glib2 >= 2.12.0
BuildRequires:	java-devel >= 1.4.2 glib2-devel >= 2.12.0
BuildRequires:	gcc-java >= 4.1.1, docbook-utils
BuildRequires:	pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries.  Allowing the use
of GNOME through Java.

%package        devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	pkgconfig

%description    devel
Glib-java is a base framework for the Java-GNOME libraries.  Allowing the use
of GNOME through Java.

Development part of %{name}.


%prep
%setup -q
%patch0 -p1 -b .gjavah
%patch1 -p1 -b .import
touch aclocal.m4
touch configure Makefile.in

%build

# Two workarounds:
# 1) libtool.m4 calls gcj with $CFLAGS and gcj seems to choke on -Wall.
# 2) libtool does not use pic_flag when compiling, so we have to force it.
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall /}
%configure CFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="-O2 -fPIC"

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip


%install
make  DESTDIR=$RPM_BUILD_ROOT  install %{?_smp_mflags}

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(expr '%{version}' : '\([^.]*\.[^.]*\)')
jarname=%{name}
jarname=${jarname%%-*}
zipname=${jarname#lib}-$jarversion-src
zipfile=$zipname-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $zipname.zip)

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libglibjava-*.so
%{_libdir}/libglibjni-*.so
%{_datadir}/java/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root)
%doc doc/api
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libglibjava.so
%{_libdir}/libglibjni.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.zip

%changelog
* Wed Sep 29 2010 jkeating - 0.4.2-3
- Rebuilt for gcc bug 634757

* Sun Sep 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.2-2
- import fix

* Sat Sep 18 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.2-1
- update to 2.4.2

* Fri Aug 20 2010 Adam Tkac <atkac redhat com> - 0.2.6-17
- rebuild against new libgcj

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.2.6-14
- Rebuild for new gcc-java

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.6-13
- fix license tag

* Fri Feb  1 2008 Stepan Kasal <skasal@redhat.com> - 0.2.6-12
- rebuild for new gcc

* Tue Nov  6 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-11
- -devel should require pkgconfig
- remove the dances with %%{java_pkg_prefix} and name_base
- cosmetic change to the descriptions
- add dash to the jar name (between name and version)
- Resolves: #192881

* Mon Apr 23 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-10
- Move /usr/include/glib-java/jg_jnu.h to devel.

* Fri Apr 20 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-9
- Adhere to packaging guidelines.
- Resolves: #225807
- Make sure we will notice when the project starts using the NEWS file.

* Mon Mar  5 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-8
- Touch aclocal.m4, configure, Makefile.in after applying the patch.

* Fri Mar  2 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-7
- Force -fPIC and avoid -Wall with gcj/ecj.

* Tue Feb 27 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-6
- The gjavah patch should change configure.ac first, then configure.

* Wed Feb 21 2007 Andrew Overholt <overholt@redhat.com> 0.2.6-5
- Bump for new gcj.
- Add patch for gcjh -> gjavah.

* Wed Feb 14 2007 Stepan Kasal <skasal@redhat.com> - 0.2.6-4
- Move doc/api to -devel.

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-3
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#209508)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-2
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Fri Aug 11 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-1
- New upstream version.
- Do use %%{?dist} after all.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel package.
- The -devel package now requires glib2-devel.

* Sat Jul 22 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.2.5-3
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-2
- Do not use %%{?dist}.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-1
- Release 0 is not allowed; use %%{?dist}.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.2.5-0.1
- rebuild

* Sat Jun 17 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-0
- Use .tar.bz2, not .tar.gz.

* Wed Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-0
- New version.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-4
- Change mod time of all java source files for the src zip.

* Thu May 18 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-3
- Ensure Config.java has the same mod time accross rebuilds (needed for 
  multilib). 

* Wed May 10 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-2
- Add -X option when zipping up the sources. This is needed for multilib.

* Fri Apr 28 2006 Stepan Kasal <skasal@redhat.com> - 0.2.4-1
- New version.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 0.2.3.0.20060301.rh1-1
- Imported new tarball to address bg #183538.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.3, updated tarball.

* Thu Dec 22 2005 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.2, updated tarball.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0.2.1-3.5
- rebuilt

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- retry s390x as others require it on that platform

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec 09 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-3
- Version bump to rebuild for gcc4.1 update.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-2
- Excluded s390x, since it fails for random reasons.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-1
- Imported released 0.2.1 version from upstream.

* Wed Oct 05 2005 Igor Foox <ifoox@rehdat.com> - 0.2.0-5
- Imported released 0.2.0 version from upstream.

* Mon Sep 19 2005 Igor Foox <ifoox@redhat.com> - 0.2-2
- Added to rawhide.
